develooper Front page | perl.perl5.porters | Postings from April 2003

Re: perldoc -U doesn't run in insecure mode

Thread Previous
From:
Michael G Schwern
Date:
April 28, 2003 20:53
Subject:
Re: perldoc -U doesn't run in insecure mode
Message ID:
20030429035348.GB4977@windhund.schwern.org
On Mon, Apr 28, 2003 at 10:21:06AM -0500, Tom McLane wrote:
> I'm trying to figure out why this is broken in AIX 5.2 (Perl 5.8.0).  As of 
> right now, I can't run perldoc -U as root... I get the same error message:
> 
> # whoami
> root
> # perldoc -U Carp
> Superuser must not run /usr/bin/perldoc without security audit and taint checks.

You probably have Pod::Perldoc installed aka perldoc version 3.  Check
perldoc -v.  It will look something like:

$ perldoc -v
Ending switch processing.  Args are [] with 0 errors.
/usr/bin/perldoc => Pod::Perldoc v3.08
...etc...

-U was removed from 3.0 somewhat prematurely.  The bug report, and a
patch reinstating it, is here:
http://rt.cpan.org/NoAuth/Bug.html?id=2360


-- 
Don't ask me lady, I live in beer.

Thread Previous


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About